Overview

Email Templates™ is as an extension to Microsoft Outlook and Microsoft Exchange. Email Templates is designed to send personalized messages rapidly to individuals and to multiple recipients.

Introduction to Templates presents the basic features of Email Templates™. Setting Up and Managing Templates and Using Templates contain detailed, step-by-step instructions on how to use our software. If you are already familiar with Email Templates™, you may want to take a look at the Advanced Features. Tips & Tricks contains some quick pointers about using Email Templates™ more efficiently.

Email Templates™ continues to change and improve. Make certain you have the latest information about Email Templates™. Visit our website at www.emailtemplates.com.


Feature Highlights

Email Templates simplifies the process of sending numerous or repetitive email. Email Templates has the ability to create message templates to speed the process of handling email while customizing your messages at the same time. Using Email Templates, you can create customized mail message templates which must be addressed and spell checked only once. They can contain the text you would normally type over and over for each new mail message or cut and paste from another document.

Email Templates is designed with two principles in mind:

Speed

Email Templates allows you to significantly speed up the process of sending email. Addressing, formatting, heading and signing your messages are simple tasks, but these menial tasks add up to a lot of time rather quickly. Email Templates allows you to focus on the content of your message rather than the format. If you find yourself sending the same message repeatedly, Email Templates will allow you to respond with a single button click. If you need to make minor alterations to individual messages to address particular issues, Email Templates can prepare a message Template for you that you can minor alterations to as needed. If you send multiple emails a day with varying content, Email Templates can pre-format your message so that you need only add the pure content of the message.

Email Templates is also integrated with the Microsoft Outlook Inbox Rule engine. By using Email Templates in conjunction with the Rules Wizard, you can automatically activate templates in response to message conditions that you specify. Used properly, you can respond to a large portion of your email automatically, without any effort on your part. (Note: Custom actions are not supported in Outlook XP).

Personalization

Email Templates reads the incoming profile of a sender and allows you to obtain personalized aspects of the sender such as first name and email address. This can be used to add a personal touch to your email, making your emails seem friendlier while maintaining a professional appearance. Mass mailing using Email Templates is fast and easy, enabling you to create the impression of individually tailored messages. Long mailing lists will appear as individual and personalized email to the recipient. Email Templates allows you to send email from multiple accounts using different templates, allowing you to further manage your email. Email Templates also supports HTML formatting, so specific fonts and text formatting such as bolding, italics, and underlining are retained, and your messages look exactly the way you created them.

If you currently... | With Email Templates you can...
Type similar messages over and over again: | Create new messages with a template with the text you need to send repeatedly.
Create a new message, address it, cut selected text from another message, and paste it into the new message: | Forward messages or selected text with an automatic customized message of your own. You can also reply to a sender, referencing only selected text.
Maintain the same format to your email messages while replying with a number of different responses: | Use one template to create the skeleton of your message, and populate the body of the message with your own words, or use more templates to insert common responses.
Respond individually to incoming requests for similar information: | Reply to each user with a template that will automatically address the message, insert e-mail addresses, create personalized first name greetings, etc. This is done with "smart" template placeholders, or "elements".
 | ...and a lot more!

To learn more about what you can do with Email Templates please read further, or, better yet, install the software and start experimenting.


Copyright & Licensing

This software is Copyright (c) 1997-2004 by EmailTemplates.com - All rights reserved.

IMPORTANT: PLEASE READ THE FOLLOWING CAREFULLY.

THE FOLLOWING IS A SOFTWARE LICENSE RELATED TO YOUR USE OF THE EMAILTEMPLATES.COM EMAIL TEMPLATES AND RELATED DOCUMENTATION (THE "LICENSED SOFTWARE"). BY CLICKING ON THE "YES" BUTTON OF THE INSTALL PROGRAM, OR BY OPENING THE PACKAGE CONTAINING THE CDs, YOU ARE CONSENTING TO BE BOUND BY THIS LICENSE AGREEMENT, AND THE TERMS SHALL BE BINDING WITH RESPECT TO YOUR USE OF THE LICENSED SOFTWARE. IF YOU DO NOT AGREE TO ALL THE TERMS OF THIS AGREEMENT, CLICK ON THE "NO" BUTTON, AND THE INSTALLATION PROCESS WILL CEASE, OR IF YOU HAVE RECEIVED SOFTWARE ON CDs, THEN RETURN THE PRODUCT TO THE PLACE OF PURCHASE.

EMAILTEMPLATES.COM - EMAIL TEMPLATES SOFTWARE LICENSE

1. LICENSE. In consideration of your payment of applicable license fees, /n software inc, D.B.A. EMAILTEMPLATES.COM ("EMAILTEMPLATES.COM") hereby grants to you, the undersigned, and you accept, a nonexclusive, nontransferable license to install, use, and display a single copy of the Licensed Software on a single computer. You may move the Licensed Software from one computer to another, but may not have the Licensed Software resident on more than one computer unless you have paid a license for each additional computer. You may use the Licensed Software for the purpose of developing your own software applications, in accordance with the terms of Paragraph 2, below. A copy of the Licensed Software may be made for archival or backup purposes as long as it contains all the original Licensed Software proprietary notices. You may not sublicense, rent, distribute, lease or otherwise transfer or assign any or all of your rights in the Licensed Software. You may use the Licensed Software solely in its original form, and may not change, alter or modify the Licensed Software, translate, reverse assemble, reverse compile, disassemble, or in any way reverse engineer the Licensed Software. This license does not grant you any right to bug, fixes, enhancements, updates or new versions, but if such are made available to and are obtained by you, then they shall become part of the Licensed Software and governed by the terms of this License. EMAILTEMPLATES.COM reserves all rights not expressly granted to you in this License.

2. RIGHTS IN LICENSED SOFTWARE. You acknowledge that the Licensed Software and any copies, regardless of the form or media in which the original or copies may exist, are the sole and exclusive property of EMAILTEMPLATES.COM; by accepting this License, you do not become the owner of the Licensed Software recorded on the media. You further acknowledges that the Licensed Software, including the code, logic and structure of the Licensed Software, contain valuable trade secrets belonging to EMAILTEMPLATES.COM. You agree to secure and protect the Licensed Software consistent with the maintenance of EMAILTEMPLATES.COM's rights in the Licensed Software, as set forth in this License.

3. COPIES. The Licensed Software is copyrighted under the laws of the United States and international treaty provisions. Notwithstanding the copyright, the Licensed Software contains trade secrets and confidential information of EMAILTEMPLATES.COM. You agree not to disclose or otherwise make available any part of the Licensed Software to any third party on any basis, other than as set forth in Paragraph 2. You agree not to make any copies of the documentation that is provided in hard copy as part of the Licensed Software.

4. TERM. This License shall be perpetual unless you fail to observe any of its terms, in which case it shall terminate immediately, and without additional prior notice, provided, however, that copies of the run-time component of the Licensed Software that are part of the Applications licensed to third parties may be retained by such licensed third parties in accordance with this Agreement. Upon termination or expiration of this Agreement, you shall return the original and all copies, complete or partial, of the Licensed Software to EMAILTEMPLATES.COM, and shall not access such media for the purpose of recovering any of the Licensed Software from any copies that may exist with respect to media containing regular backups of your computer or computer system. The terms of Paragraphs 3, 4, 6, 7, 8, 9 and 10 shall survive termination of this Agreement.

5. DISCLAIMER OF WARRANTY. THE LICENSED SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. FURTHER, EMAILTEMPLATES.COM SPECIFICALLY DOES NOT WARRANT, GUARANTEE, OR MAKE ANY REPRESENTATIONS REGARDING THE USE, OR THE RESULTS OF THE USE, OF THE LICENSED SOFTWARE OR WRITTEN MATERIALS IN TERMS OF CORRECTNESS, ACCURACY, RELIABILITY, CURRENTNESS, OR OTHERWISE. THE ENTIRE RISK AS TO THE RESULTS AND PERFORMANCE OF THE SOFTWARE IS ASSUMED BY YOU. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY EMAILTEMPLATES.COM OR ITS EMPLOYEES SHALL CREATE A WARRANTY OR IN ANY WAY INCREASE THE SCOPE OF THIS WARRANTY, AND YOU MAY NOT RELY ON ANY SUCH INFORMATION OR ADVICE.

6. LIMITATION ON LIABILITY. The Licensed Software may produce inaccurate results because of a failure or inaccuracy in the performance of the software, because you input incorrect data, or for many other reasons. You assume full and sole responsibility for any use you make of the output from the Licensed Software, and you bear the entire risks of there being an error in the output. You agree that regardless of the cause of any error or the form of any claim, YOUR SOLE REMEDY AND EMAILTEMPLATES.COM'S SOLE OBLIGATION SHALL BE GOVERNED BY THIS AGREEMENT AND IN NO EVENT SHALL EMAILTEMPLATES.COM'S LIABILITY EXCEED THE PRICE PAID TO EMAILTEMPLATES.COM FOR THE LICENSED SOFTWARE. YOU EXPRESSLY AGREE THAT IN NO EVENT SHALL EMAILTEMPLATES.COM BE LIABLE FOR ANY CONSEQUENTIAL, INCIDENTAL OR SPECIAL DAMAGES ARISING FROM BREACH OF WARRANTY, BREACH OF CONTRACT, NEGLIGENCE, OR ANY OTHER LEGAL THEORY, WHETHER IN TORT OR CONTRACT, EVEN IF EMAILTEMPLATES.COM HAS BEEN APPRAISED OF THE LIKELIHOOD OF SUCH DAMAGES OCCURRING, INCLUDING WITHOUT LIMITATION DAMAGES FROM INTERRUPTION OF BUSINESS, LOSS OF USE OF SOFTWARE, LOSS OF DATA, COST OF RECREATING DATA, COST OF CAPITAL, COST OF ANY SUBSTITUTE SOFTWARE, OR LOSSES CAUSED BY DELAY. EMAILTEMPLATES.COM shall not be responsible for any damages or expenses resulting from alteration or unauthorized use of the Licensed Software, or from the unintended and unforeseen results obtained by you resulting from such use.

7. INDEMNIFICATION. You hereby agree to indemnify EMAILTEMPLATES.COM and its officers, directors, employees, agents, and representatives from each and every demand, claim, loss, liability, or damage of any kind, including actual attorneys fees, whether in tort or contract, that it or any of them may incur by reason of, or arising out of, any claim which is made by any third party with respect any breach or violation of this Agreement by you or any claims based on the Applications and the Licensed Software included therein.

8. U.S. GOVERNMENT RESTRICTED RIGHTS. The Licensed Software is Commercial Computer Software provided with RESTRICTED RIGHTS under Federal Acquisition Regulations and agency supplements to them. Use, duplication or disclosure by the U.S. Government is subject to restrictions as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFAR 255.227-7013 et. seq. or 252.211-7015, or subparagraphs (a) through (d) of the Commercial Computer Software Restricted Rights at FAR 52.227-19, as applicable, or similar clauses in the NASA FAR Supplement. Contractor/manufacturer is /n software inc. D.B.A. EMAILTEMPLATES.COM, P.O. Box 13821, Research Triangle Park, NC 27709.

9. EXPORT CONTROLS. None of the Licensed Software, or underlying information may be exported, directly or indirectly, without the prior written consent, if required, by the office of Export Administration of the United States, Department of Commerce, nor to any country to which the U.S. has embargoed goods, to any person on the U.S. Treasury Department's list of Specially Designated Nations or the U.S. Commerce Department's Table of Denials. By consenting to this License you warrant that you are not located in, under the control of, or a national or resident of any such country or appear on any such list and further warrant that you will not distribute the run-time version of the Licensed Software to any entity that is located in, under the control of, or a national or resident of any such country or appears on any such list.

10. ENTIRE AGREEMENT. YOU ACKNOWLEDGE THAT YOU HAVE READ THIS LICENSE, UNDERSTAND IT, AND AGREE TO BE BOUND BY ITS TERMS AND CONDITIONS. YOU ALSO AGREE THAT THIS LICENSE IS THE COMPLETE AND EXCLUSIVE STATEMENT OF THE AGREEMENT BETWEEN EMAILTEMPLATES.COM AND YOU, WHICH SUPERSEDES ANY PROPOSAL, PRIOR AGREEMENT, OR LICENSE, ORAL OR WRITTEN, AND ANY OTHER COMMUNICATIONS RELATING TO THE SUBJECT MATTER OF THIS LICENSE. This License shall be construed in accordance with the internal laws of North Carolina and all disputes shall have exclusive venue in the federal and state courts in Durham County, North Carolina, and both parties consent to the jurisdiction of these courts. If any term of this License shall be found invalid, the term shall be modified or omitted to the extent necessary, and the remainder of the License shall continue in full effect.

Should you have any questions concerning this agreement, please contact: EmailTemplates.com, P. O. Box 13821, Research Triangle Park, NC 27709, U.S.A. - www.emailtemplates.com.


System Requirements

Windows 98, NT, 2000, ME, XP or later with at least 2 Mb of free disk space.

Microsoft Outlook 97, 98, 2000, XP (2002), 2003 or later.


Installing Email Templates™

To install Email Templates™, there are three simple steps:

  • Close Microsoft Outlook or Exchange.
  • Run the setup file, setup.exe.
  • Start Microsoft Outlook or Exchange.
Here are more detailed instructions:
  1. If you are running Microsoft Outlook or Exchange, close it.
  2. Run the setup.exe file by double-clicking on it. The setup.exe file is provided with the Email Templates™ disk, or may be downloaded from our website at www.emailtemplates.com.
  3. You will be presented a license agreement. Read this agreement, and if you accept the conditions of the agreement, click on OK. If you do not accept the conditions, click on Exit Installation and your installation will abort.
  4. From the Welcome screen, click on Next to continue installation.
  5. You will be prompted again to make sure you are not running Outlook or Exchange. If you are, it is not necessary to exit the Email Templates™ installation. Simply move to the Outlook or Exchange window, close the application, and return to the Email Templates™ Installation window.
  6. Click on Next and installation will begin.
  7. When installation is complete, start Microsoft Outlook or Exchange.
  8. You will see a message similar to the following: “You do not have a default Template folder. Would you like to create a Template folder and some default templates now?” Answer Yes to this prompt.
  9. Notice there are four new buttons added to your Outlook or Exchange toolbar. You are now ready to use Email Templates™.


Uninstalling Email Templates™

When you uninstall Email Templates™, system files that were added by the installation procedure are removed. However, your Templates folder and its contents will remain in the Outlook or Exchange Mailbox until you manually delete them.

To uninstall Email Templates™, there are four main steps:

  • Exit Outlook or Exchange.
  • Run the uninstall procedure from Control Panel.
  • Start Outlook or Exchange.
  • Delete the Templates folder (optional).

Here are more detailed instructions:

  1. Start Control Panel. If you are not familiar with Control Panel, it can be started by selecting START from the Windows taskbar and then choosing Settings and Control Panel.
  2. From the Control Panel window, select Add / Remove Programs.
  3. From the list of programs, highlight Email Templates™ and click on the Add / Remove button.
  4. When the uninstall program starts, select Automatic. (Custom uninstall may be selected if you want more control over the uninstall steps).
  5. Start Outlook or Exchange.
  6. If you wish, you may delete the Templates folder, but make sure you first save any templates you want to keep.


Technical Support

If you have any problems with Email Templates, or if you think the products not operating as expected, please let us know. Visit our website at www.emailtemplates.com for a list of support options. We will do our best to respond to your problem as soon as possible.

We would also like to hear what you think about Email Templates, and what new features would you like to see in future versions of the tool. If you have any suggestions, please visit our website and complete the feedback form.


Introduction to Templates

Templates are simply mail messages which are filed in the Templates folder. Templates can contain normal text, template elements, and scripts. Template elements and scripts are discussed later in the Advanced Programming section of this document. There are four types of Templates, which correspond to the four new buttons found on the Outlook or Exchange toolbar after running the Email Templates installation:

New Message Templates
Reply Templates
Forward Templates
Quote Templates

Templates can be invoked from two places:

  • From the template buttons on the Outlook or Exchange toolbar, or
  • From the Actions menu of Microsoft Outlook, choosing the Email Templates option.

A popup menu will appear in either case and will contain a list of templates. If you have just installed Email Templates, you will see the sample templates provided with the program. After you create new templates, they will automatically appear on these menus.


Where to Find Templates

Templates, like any other message created in Outlook and Exchange, are stored in the mail folders. After you have installed Email Templates, a Templates folder can be found inside Outlook or Exchange. A subfolder is located under the Templates folder for different types of templates: Extension, Forward, Quote, and Reply. New Message Templates are found directly in the Templates folder. The actual text of each template, including any elements or extensions, is filed in the Templates folder. You will edit your templates from here if necessary.


New Message Templates

New Message Templates are used to create a new message from an existing template. Templates are email messages provided in a special folder typically named Templates. New Message Templates are 'applied' to an existing message by first opening the message or selecting the message from a chosen folder. Various selections from the previous message are carried over to the new message in the form of elements. These elements are explained in greater detail later. The new message is then created when a template is selected from the template menu or template list and displayed for approval. It can then be submitted by clicking the send or submit button in the toolbar, just like other new messages.

You can pre-address your template by entering the recipient's address in the template's TO:, CC:, or BCC: fields.

Some sample New Message Templates are provided with Email Templates. These templates are provided as examples and may be edited or copied for your convenience. The sample templates include:

Phone message

This template generates a standard message you might send someone if you've taken a phone call for them. The template has a subject line of Phone message and looks like this:

I just received a phone call for you from &input.Caller_Name; (&current_time;).
Please call him back at your earliest convenience.
Thanks!
Jane Doe

Because the template contains the &input.Caller_name element, you are prompted for a callers name when you invoke the template. After you supply the caller's name, the template generates an automatic message as follows:

I just received a phone call for you from John (Mon Feb 23 09:20:52  1998).
Please call him back at your earliest convenience.
Thanks!
Jane Doe

The name John is inserted automatically, using the name you supplied when prompted. The day and time are inserted from your computer system.

System down

Suppose you maintain a system for your company and need to generate a system down message whenever the system is inaccessible. This template could be used to notify specific users of the systems status simply by choosing the System down template. There would be no need even to address the message since recipients, including distribution lists, can be part of the template.

The internal documents database is currently unavailable due
    to a system malfunction. You will be notified again when the database becomes
    available. We are sorry for any inconvenience.
John Smith
Database Administrator

Another template could be created to inform the same group of people that the system is available once again.


Reply Templates

Reply Templates are used to automatically create a custom reply to a message from an existing template. Reply Templates are email messages provided in a special folder. Normally these Templates are kept in a subfolder of Templates named Reply. As with New Message Templates, Reply Templates are 'applied' to an existing message by opening the message or selecting the message from a chosen folder. The TO: field of the message is automatically filled with the sender's email address. The original subject will be retained with the RE: prefix added. The new message is then created when a template is selected from the template menu or template list and displayed for approval. It can then be submitted by clicking the Submit button in the toolbar, just like other new messages.

Sample Reply Templates provided with Email Templates™ include:

Unsubscribe from list

If you receive electronic mail from a list server or other electronic mailing system, you could use this template to unsubscribe from their service. While reading a message from the service, you could select this Reply Template. The template has a subject line of ‘Unsubscribe from list’ and looks like this:

unsubscribe jdoe@abc.com
Please remove my address from your mailing list at your earliest convenience.
I do not wish to receive any of your messages in the future.

Thank You!

Automatically, a reply message, already addressed and ready to send, is generated. The message is addressed to the sender of the original message to which you are replying.

Job has changed

When you begin a new job, you are often included in mailings relating to your old position. You could use a ‘Job has changed’ Reply Template to let others know your status. Here is what the text of the template could look like:

Dear &sender_first_name;,
I received your email below.  I have recently changed jobs and am no longer serving
in the capacity of meeting planner.  For meeting planning information, please contact that
department at 555-1234.  You may want to edit any distribution lists which may include my name.
Thank you very much,
John Smith
John@smith.com
>&body;

While reading a message, you can select this Reply Template and the following text will appear as a new message, addressed to the sender of the original message:

Dear Jane,
I received your email below.  I have recently changed jobs and am no longer serving
in the capacity of meeting planner.  For meeting planning information, please contact that
department at 555-1234.  You may want to edit any distribution lists which may include my name.
Thank you very much,
John Smith
John@smith.com
> <text of the original message from Jane>

The recipient name is automatically inserted by the Reply Template from the original message. The message you were initially reading will appear after the carat, ">".


Forward Templates

Forward Templates are used to automatically forward a message using a custom envelope created from an existing template. Forward Templates are email messages provided in a special folder, normally a subfolder of Templates named Forward. As with New Message and Reply Templates, Forward Templates are 'applied' to an existing message by opening the message or selecting the message in the chosen folder. The template will retain the subject of the original message with the FW: header added as a prefix. Like New Message Templates, the TO: field does not carry over the sender's original email, although you may pre-address the message just as you would with the New Message Template. The new message is then created when a template is selected from the template menu or template list, and displayed for approval. It can then be submitted by clicking the submit button in the toolbar, just like other new messages.

Sample Forward Templates provided with Email Templates include:

Forward with comments

If you constantly forward messages or portions of messages to the same person, you can use this template. While reading a message, you can opt to forward the entire message or selected text to a recipient you have specified in the creation of the template. General comments are a part of the template and you may add further comments as desired. This template is addressed to John with a subject of Forward with comments and looks like this:

Hi John,
Here is a piece of interesting information I just ran across.  I thought you might be interested.
> &selection;

The resulting text of the message you send will read like this:

Hi John,
Here is a piece of interesting information I just ran across.  I thought you might be interested.
> Announcement:  New product release

The message you were initially reading, or any text from that message that you may have selected by highlighting, will appear between the START OF INCLUDED TEXT and the END OF INCLUDED TEXT lines. The text added as the included text is plugged in where the &selection; element is used.

Project News

If you are working on a project and need to forward pertinent information to a group of coworkers, you could use the Project News Forward Template. Each time you receive a message that the rest of the project team needs to see, select this template and a new message will be created with the following text, already addressed to a distribution list:

ABC Project Team,
I received this message, which has information we may find valuable for our project.  Please take a look at it.
---------------------------------
From:      &sender_name;
Date:      &date;
Subject:   &subject;
&body;

As in the example above, the entire original message will be replaced instead of &body;. &sender_name;, &date;, and &subject; will be automatically replaced with the corresponding message properties. Whats new with this example, is the fact that the template already contains the addresses for all the recipients. All you need to do in order to forward the message to the group is click on the template.


Quote Templates

Quote Templates provide the functionality of a clipboard. Unlike the other templates, Quote Templates are applied to the message you are currently composing. These templates offer a place to store frequently-used text which can then be pasted into other messages. They appear as email messages in a folder. Normally these Templates are kept in a subfolder of Templates named Quote. When composing a new message you can click on the Quote Template button, select the desired text and automatically paste it into your new message. The text is pasted into the current location of the cursor inside the message. You may also use Quote Templates to create a new message, just as you would a New Message Template.

Sample Quote Templates provided with Email Templates™ include:

Directions to the office

If you were typing a message and wanted to include directions to your office, a template such as this would be useful. From the new message you were creating, you could select this Quote Template, which has the subject of ‘Directions to the office’ and looks like this:

From I-95, take Exit 278
(more directions follow here)

While typing a message, you may click on the Quote Template button and insert directions to the office into your message.


Template Elements

Template elements are placeholders that can be inserted into a template where you want customized text to appear. The template obtains this customized text from the current message being replied to or forwarded. Using elements, you can create a template that will insert meaningful information such as the date or time, the sender name and/or email, the recipient name or names, text selected from another message, the subject of the message, etc. Template elements are inserted into the template as &element;. Elements are always preceded by "&" and followed by ";". When a substitution cannot be performed, an error message is displayed, and the template element is simply removed from the new message and substituted with an empty string.

Lets say you received this message:

Dear Mr. Doe,
I am interested in learning more about your product.  I am specifically interested
in knowing what tools were used in developing the application.  Please send me
more information.
Sincerely,
Jane Smith

You decide to respond using a Reply Template:

On &date;, &sender_name; wrote: > &selection;
Hi &sender_first_name;,
<...your reply here....>
Regards,
John Doe
Principal Developer
Jdoe@abc.com

There are four template elements used in this template. When the template generates a mail message, the elements are replaced with the value of that element for the message in question:

&date;

This element would be replaced with the time when the message was sent.

&sender_name;

This element would be replaced with the name of the sender: Jane Smith in our case.

&selection;

If you select a portion of the original message, this is what will be inserted in place of this element. If you do not select a portion, the entire message will be inserted. (Note that since &selection; is in italics, the quoted message text will appear in italics too).

&sender_first_name;

This element would be replaced with the first name of the sender: Jane in our case.

The resulting message would appear as:

On 19-Feb-1998 12:51:14, Jane Smith wrote: > Dear Mr. Doe, > >
    I am interested in learning more about your product. I am specifically interested
    > in knowing what tools were used in developing the application. Please send me
    > more information.  > > Sincerely, > Jane Smith
Hi Jane,
<...your reply here....>
Regards,
John Doe
Principal Developer
Jdoe@abc.com

You can then type your reply in the space reserved for your message.

Template elements may be typed manually in the template text, or may be inserted through the Templates / Insert Template Element menu item. You may also add your own custom elements.


Standard Elements

The following template elements may be used in templates. They refer to the original message to which the template is being applied. These elements are provided with Email Templates™. You may also add your elements through Email Templates™ Extensions, described in the Advanced Programming section.

&subject;

The subject of the message. Taken from the subject line in the address header.

&body;

The body of the message. Any text before &body; and in the same line with it, is prepended to every line of the message text.

&sender;

The name and email of the sender of the message.

&sender_name;

The full name of the sender of the message.

&sender_first_name;

The first name of the sender of the message.

&email;

The email of the sender of the message.

&sender_email;

The email of the sender of the message. This is the same as &email;.

&selection;

The current selection or highlighted text on the message. If there is no selection, or if the message is not open, the whole body of the message is returned.

&date;

The time the message was sent.

&submit_time;

The time the message was submitted.

&delivery_time;

The time the message was delivered.

&to_list;

The list of direct recipients of the message, the ‘To:’ recipients. The list includes both names and emails, separated by a semicolon, ‘;’.

&cc_list;

The list of carbon-copy recipients of the message, the ‘Cc:’ recipients. The list includes both names and emails, separated by a semicolon, ‘;’.

&to_email_list;

The list of email addresses of direct recipients of the message, the ‘To:’ recipients. The list elements are separated by a semicolon, ‘;’.

&cc_email_list;

The list of email addresses of carbon-copy recipients of the message, the ‘Cc:’ recipients. The list elements are separated by a semicolon, ‘;’.

&to_name_list;

The list of names of direct recipients of the message, the ‘To:’ recipients. The list elements are separated by a semicolon, ‘;’.

&cc_name_list;

The list of names of carbon-copy recipients of the message, the ‘Cc:’ recipients. The list elements are separated by a semicolon, ‘;’.

&input.value;

Presents an input dialog for value. Value may be replaced with meaningful text, like ‘Your_Name’, but it may not contain any spaces. The text entered is substituted in the message.

&my_name;

The full name for the current profile or account. This is the default account for Outlook or the screen name for Exchange.

&my_email;

The email address of the current profile or account. This is the default account for Outlook or screen name for Exchange.

&internet_headers;

The full SMTP envelope of the message if it is coming from the Internet. Empty string otherwise.

&clipboard;

The contents of the clipboard at the moment the message is created.

&eid;

The message entry id as defined by MAPI. See the Advanced Programming section for more details.

&proplist;

The list of MAPI properties for the selected object. Returned as a list of hexadecimal numbers.

&repeat_index;

The index of the current message in a repeat loop. See the &repeat; element below for further details.

&repeat.count;

This element is used to repeat evaluating the current template count number of times. This is useful for sending the same template to a mailing list, for example.

&sel_index;

The index of the message or contact being processed in a multi-message or multi-contact selection.

&sel_count;

The total number of messages or contacts selected in a multi-message or multi-contact selection.

&attachment_list;

The list of attachment names as file names separated by spaces.

&attachment.index;

The attachment at index starting from 0.

&attachments;

This transfers the attachments in the message to the new message created by the template. Note that any attachments included in the template will be replaced.

&contact.property;

If a contact is selected, it returns property from the list of contact properties , e.g. &contact.first_name;, or nothing, if the property is missing. The list of properties includes the following - in alphabetic order:

  • &contact.account;
  • &contact.assistant;
  • &contact.assistant_telephone_number;
  • &contact.beeper_telephone_number;
  • &contact.birthday;
  • &contact.business_address;
  • &contact.business_address_city;
  • &contact.business_address_country;
  • &contact.business_address_postal_code;
  • &contact.business_address_state;
  • &contact.business_address_street;
  • &contact.business_fax;
  • &contact.business_fax_number;
  • &contact.business_home_page;
  • &contact.business_phone;
  • &contact.callback_telephone_number;
  • &contact.car_telephone_number;
  • &contact.cellular_telephone_number;
  • &contact.company;
  • &contact.company_main_phone_number;
  • &contact.company_name;
  • &contact.computer_network_name;
  • &contact.creation_time;
  • &contact.customer_id;
  • &contact.department_name;
  • &contact.display_name;
  • &contact.display_name_prefix;
  • &contact.email;
  • &contact.first_name;
  • &contact.ftp_site;
  • &contact.gender;
  • &contact.generation;
  • &contact.given_name;
  • &contact.government_id_number;
  • &contact.hobbies;
  • &contact.home_address_city;
  • &contact.home_address_country;
  • &contact.home_address_post_office_box;
  • &contact.home_address_postal_code;
  • &contact.home_address_state;
  • &contact.home_address_street;
  • &contact.home_fax_number;
  • &contact.home_telephone_number;
  • &contact.home2_telephone_number;
  • &contact.initials;
  • &contact.isdn_number;
  • &contact.keyword;
  • &contact.language;
  • &contact.last_modification_time;
  • &contact.last_name;
  • &contact.location;
  • &contact.mailing_address;
  • &contact.mailing_address_city;
  • &contact.mailing_address_country;
  • &contact.mailing_address_postal_code;
  • &contact.mailing_address_state;
  • &contact.mailing_address_street;
  • &contact.managers_name;
  • &contact.middle_name;
  • &contact.name;
  • &contact.nickname;
  • &contact.office_location;
  • &contact.office_telephone_number;
  • &contact.office2_telephone_number;
  • &contact.organizational_id_number;
  • &contact.other_address_city;
  • &contact.other_address_country;
  • &contact.other_address_post_office_box;
  • &contact.other_address_postal_code;
  • &contact.other_address_state;
  • &contact.other_address_street;
  • &contact.other_telephone_number;
  • &contact.personal_home_page;
  • &contact.postal_address;
  • &contact.primary_fax_number;
  • &contact.primary_telephone_number;
  • &contact.profession;
  • &contact.radio_telephone_number;
  • &contact.referred_by_name;
  • &contact.spouse_name;
  • &contact.surname;
  • &contact.telex_number;
  • &contact.title;
  • &contact.ttytdd_phone_number;
  • &contact.wedding_anniversary;


Creating New Templates

You may create a template by simply creating a message and moving it to the Templates folder. Alternatively, you can use the Create New Template menu item in the Actions / Email Templates™ menu or Compose / Email Templates™ for Exchange.

To create a new Template:

  1. Click on Actions from the main menu or Compose for Exchange.
  2. Select Email Templates™.
  3. Select Create New Template.
  4. Supply a template name of your choice and select the type of template you wish to create.
  5. Type the text of your template, using template elements as desired.
  6. Save the file by clicking on File from the main menu and then clicking on Save.
  7. Close the message.

To use the new template, you may choose it from the Action or Compose menu from the main menu or from the template buttons on the main toolbar.


Editing Existing Templates

Email Templates™ are created and stored in the same way as regular Outlook/Exchange messages.

To edit an existing template created by you or supplied at installation:

  1. Go to the Outlook/Exchange Mailbox directory.
  2. Double-click on the folder named Templates to open it.
  3. Double-click on the subfolder for the type of template you wish to open.
  4. Find your template name and double-click on it to open it.
  5. Make changes to the message as you would for any other mail message.
  6. Save the changes by selecting File and then Save.


Deleting Templates

To delete a template, there are two main steps:

  • Find your template message in the Outlook/Exchange Mailbox directory.
  • Delete it as you would a regular mail message.

Here are more detailed instructions:

  1. Go to the Outlook/Exchange Mailbox directory.
  2. Double-click on the folder named Templates to open it.
  3. Double-click on the subfolder for the type of template you wish to open.
  4. Find the appropriate template name and double-click to open it.
  5. After making sure the template is the one you wish to delete, click on File and then choose Delete.


Using New Message Templates

To use a New Message Template to create a new message:

  1. From the Outlook or Exchange toolbar, select the New Message From Template button OR
  2. Click on Action from the Outlook toolbar or Compose from the Exchange toolbar, select Email TEMPLATES, and then New Message From Template.
  3. From the New Message From Template menu, select the template you wish to use to create your new message.
  4. A mail message containing the text of your template will appear. Treat this message as you would any new mail message. Edit the message as needed, adding any necessary text, special notes, etc. Don't forget to address your message to the recipient or recipients.
  5. Send your message as you would any other mail message.


Using Reply Templates

In order to reply to a mail message using a Reply Template, you must either

  • Open the mail message to which you wish to respond OR
  • Highlight the mail message to which you wish to respond from the mailbox listing of Outlook or Exchange.

Once you have selected a mail message in this way, the Reply Template can use information from the selected message and will process certain types of information such as recipient name, selected text to quote from the original message, etc.

To reply to a mail message using Reply From Template:

  1. Open or highlight the mail message to which you wish to reply. If the Reply Template you wish to use quotes selected text from the original message, you will need to open the message and highlight the text you wish to include in the reply. If you are using a Reply Template that does quote text and you do not specify which text to quote, the template will quote the entire original message.
  2. From either the mail message toolbar or the Outlook/Exchange toolbar, select the Reply From Template button OR
  3. Choose Action from the mail message toolbar of Outlook or Compose from the Exchange toolbar, select Email Templates, and then choose Reply From Template.
  4. A mail message will appear, already addressed to the sender of the original message. The subject of the message will appear as other mail message replies, with Re: followed by the subject of the original message.
  5. Complete this mail message as you would any other mail message. Don't forget to add any additional recipients if needed.
  6. Send the mail message as usual.


Using Forward Templates

Before forwarding a mail message using a Forward Template, you must either:

  • Open the mail message you wish to forward OR
  • From the mailbox listing of Outlook or Exchange, highlight the mail message you wish to forward.

Once you have selected a mail message in this way, the Forward Template can use information from the selected message.

To forward a mail message using Forward From Template:

  1. Open or highlight the mail message you wish to forward. If the Forward Template you wish to use quotes only selected text from the original message, you will need to open the original message and highlight the text you wish to forward. If you are using a Forward Template that does quote text and you do not specify which text to quote, the template will quote the entire original message.
  2. From either the mail message toolbar or the Outlook/Exchange toolbar, select the Forward From Template button OR
  3. Choose Action from the mail message toolbar of the Outlook toolbar or Compose from the Exchange Toolbar, select Email Tempaltes, and then choose Forward From Template.
  4. From the Forward From Template menu, select the template you wish to use.
  5. A mail message will appear, already addressed to the sender of the original message. The subject of the message will appear as other mail message replies, with Fw: followed by the subject of the original message.
  6. Complete this mail message as you would any other mail message. Don't forget to add any additional recipients if needed.
  7. Send the mail message as usual.


Using Quote Templates

If you have a mail message open and select one of the Quote Templates, the text from the template will be inserted directly into the mail message where your cursor is located.

You can quote from any number of Quote Templates into the same mail message. If you do not have a mail message open and choose Quote From Template, a new message containing the quote will be created.

To quote preset text into a message using Quote From Template:

  1. If you want to create a new message using one of the Quote Templates, select the Quote From Template button from the Outlook or Exchange toolbar, OR
  2. Choose Action from the Outlook toolbar or Compose from the Exchange toolbar, select Email Templates, and then choose Quote From Template.
  3. If, instead, you want to quote text from a Quote Template into an existing message, open the message and position your cursor where you want the quoted text to begin. Select the Quote From Template button from the Outlook or Exchange toolbar, OR
  4. Choose Action from the Outlook toolbar or Compose from the Exchange toolbar, select Email Templates, and then choose Quote From Template.
  5. From the Quote From Template menu, select the Quote Template you wish to use.
  6. If you are quoting into an existing message, the text of your Quote Template will appear where your cursor was positioned OR
  7. If you are using the Quote From Template to create a new message, the new message will appear with the quoted text included.
  8. Complete the mail message as you would any other mail message. Don't forget to add any recipient and subject information if needed.
  9. Send the mail message as usual.


Advanced Features

Email Templates may be extended and customized by scripting. Two types of languages are supported; VBScript and Tcl.

VBScript is covered in hundreds of books and websites. Email Templates uses the VBScript Engine included with Windows, the same engine used by Internet Explorer and other applications.

Tcl is a powerful, portable, cross-platform, Rapid Application Development scripting language. Tcl programs do not need to be recompiled after each change, so scripts can be developed very quickly. Tcl is also free. You may learn more about Tcl at www.tcltk.com or pick up one of many books on the subject. We would suggest the following:

John K. Ousterhout, Tcl and the Tk Toolkit, Addison-Wesley, 1994, ISBN0-201-63337-X
Brent B. Welch, Practical Programming in Tcl and Tk, Prentice Hall, 1997, ISBN0-13-616830-2


Inline Scripts

Scripts may be provided in the text of a template and are enclosed within <vbscript>...</vbscript> for VBScript and <et>...</et> for Tcl scripts. They are evaluated before the new message is created, in the order that they are entered. You may add as many scripts as are necessary.

Inline scripts may be used to create new template elements, change message properties, perform actions on the mailbox, etc.

Here is an example of a simple script inside a template:

Hi guys

Today is &day_of_the_week; and I work from home

<et>
   set day [clock format [clock seconds] –format %A]
   et add day_of_the_week $day
</et>

If this template was evaluated on a Tuesday, the result message would look like:

Hi guys,

Today is Tuesday and I work from home!

The same template with VBScript would look as follows:

Hi guys

Today is &day_of_the_week; and I work from home

<vbscript>
   day = Format(Now, "dddd")
   ET.Add("day_of_the_week", day)
</vbscript>


The 'et' Command

Scripting

In addition to the usual commands provided in Tcl and VBScript, Email Templates adds a new command, the et command. This et command should be treated as a normal Tcl or VBScript command with a variable number of arguments. This command supports the following options:
Tcl | VBScript | Does the following:
et add element text | ET.Add "element", "text" | Adds a new template element in the templates.
et alert text | ET.Alert "text" | Displays a message box with text as the message.
et calc id element | ET.Calc ("id", "element") | Computes element in the message (item) with id id. The id of the item may be retrieved from other options, e.g. folder.If element is a hexadecimal number that starts with 0x (e.g. 0x0037001E), then the corresponding MAPI message property is returned. (For more information on MAPI properties, please refer to the MAPI SDK in the Microsoft Win32 SDK).
et folder eid pathlist | ET.Folder ("eid", "pathlist") | Returns the MAPI id of the folder named pathlist. Pathlist is a list whose elements provide the path to the folder.
et folder property folderid | ET.Folder ("property", "folderid") | Returns a particular property from the folder with id folderid. property may be either messages or subfolders. The first returns a list consisting of the id-s of the messages contained in the folder, while the second returns a list consisting of the id-s of the folders contained in the folder.
et message element | ET.Message ("element") | Provides the value (text) of a template element (such as subject, body, etc.) with respect to the current message. If element is a hexadecimal number that starts with 0x (e.g. 0x0037001E), then the corresponding MAPI message property is returned. (For more information on MAPI properties, please refer to the MAPI SDK in the Microsoft Win32 SDK).
et calc eid element | ET.Calc ("eid", "element") | Similar to message element, but operating on the message with entry id eid instead.
et proplist eid | ET.Proplist ("eid") | Returns the list of property tags for the object with id eid..
et clear recipients | ET.Clear "recipients" | Clears the recipient list for the new message. New recipients may be set by using the set recipient command below.
et set property value | ET.Set "property", "value" | Sets a property in the message being created. property may be: subject, recipient, or a MAPI tag (starting with 0x). In the case of recipient, the value consists of email name recipient_type address_type. If name is not specified, it defaults to email. recipient_type is one of the following: TO, CC, BCC (defaults to TO). address_type defaults to SMTP.
et redirect "template1" "template2" | ET.Redirect "template1", "template2" | Continues processing by substituting the current template with the template with subject templatex (which must be of the same category). If more than one template is specified, than a new message is created for each of the specified templates.
et defer time | ET.Defer "time" | Defers sending message by time. sendafter may also be used instead of defer. Examples of time include: 1 day, 1 week, 5 hours, 25 Nov 1998.
et moveto pathlist | ET.Moveto "pathlist" | Moves the current message to the folder whose full path is given by pathlist in the Personal Messages store.
et choose folder | ET.Choose "folder" | Displays a mailbox folder selection dialog. Returns the id of the folder, or an empty string if the user cancels the dialog.
et choose filename | ET.Choose "filename" | Displays a file selection dialog. Returns the full path of the file, or an empty string if the user cancels the dialog.
et stop | ET.Stop | Stops the execution of the script, and any further template processing.
et input prompt default | ET.input ("prompt","default") | Prompts the user for the input of text. Prompt contains the text that is shown to the user. Default, if set, contains a default response to the prompt.
et sendafter time | ET.Sendafter "time" | Defers sending message by time. Defer may also be used instead of sendafter. Examples of time include: 1 day, 1 week, 5 hours, 25 Nov 1998.
et openurl url | ET.Openurl "url" | Opens a new window of the default browser to the URL specified in url.

Please visit our website at www.emailtemplates.com for information on the latest version of Email Templates. Additionally, if you have any suggestions or ideas for new functionality, we would be happy to hear them. Please send email to support@emailtemplates.com.


Extensions

A special folder in the Templates folder, named Extensions, is used to create new elements using Tcl. The scripts are provided inside messages. These Extensions are evaluated every time an unknown template element is encountered in a template.

Custom elements with static text values may be provided via et add element text command.

Custom elements that require script processing, are provided via Tcl procedures that start with etx_. The rest of the procedure name is the name of the new template element. The procedure will be called every time the element is encountered in a template, and the element name will be substituted with the value returned by the procedure.

Please note that Email Templates does not support customized contact fields.

For example, for a custom element named current_time, a procedure of the following form must be provided:

proc etx_current_time {args} { return [clock format [clock
    seconds]] }

This procedure introduces a new template element: &current_time; that provides the current time. This element was used in the Phone message example.

You can also include VBScript within extensions. To add VBScript code to your extensions, you will need to include them in your Tcl script as follows:

proc etx_my_procedure {args} { return [et vbscript { <Your
    VBScript> <goes in here> }] }


Extension Examples

New template elements

This is a simple extension, demonstrating how to add new custom elements to Email Templates. Once created in an extension, the custom elements may be used just like any other element.

# This is an example of creating custom template elements:
    et add element1 "The text for &element1;."

    et add element2 "The text for &element2;." et add element2 "The text for &element3;."

The new elements created are &element1;, &element2;, and &element3;. The first line of the extension is a Tcl comment and is simply ignored. Tcl comments begin with a # symbol.

Please note that Email Templates does not support customized contact fields.

Rotating text

This is a slightly more sophisticated example. It allows you to insert a random quote in the message created by the template. Here is the code:

# This extension provides "random" rotating text through
    a new # template element named &rotating_text; Please look at the # "Rotating
    text." Quote Template for a demonstration. proc etx_rotating_text {args} { set items
    { {"I have never let my schooling interfere with my education." - Mark Twain} {"Beware
    of the man of one book." - Thomas Aquinas} {"Common sense is not so common." - Voltaire}
    } set count [llength $items] set pseudo_random [expr [clock seconds] % $count] return
    [lindex $items $pseudo_random] }

The 'et' script code at the end of the procedure selects one of the quotes randomly. With a little bit of code, you may modify this template to read the quotes from a file or message instead.

This month's sales data

This extension demonstrates how to invoke an external application from a template.

Lets assume you have an application called salesapp.exe that provides the current sales performance data when invoked. To insert this data directly into a message, you could write an extension as follows:

 proc etx_sales_data {args} { return [exec salesapp.exe]
    }

Thats it! You might have to include extra arguments to your salesapp.exe, but thats beyond the scope of this simple example.


Advanced Features

XML Features

Email Templates includes support for XML. XML Documents can be searched for elements and attributes that can be inserted into your message. A short example of a valid XML Document follows:

<?xml version ="1.0" ?>
<order>
  <fruit>
    <apples>
      <cost currency="US">1.00</cost>
      <color>red</color>
    </apples>
  </fruit>
</order>

Please note that this is a very simple representation of an XML document. The message containing the XML document may contain other text as well. Email Templates will interpret everything between the first "<" and the last ">" as XML. The initial <?xml ?> tag shown in this example is not always present, and most XML documents are likely to be much more complex.

A new element in Email Templates, the XML element, can be used to search this document. The XML element implements a subset of the XML XPath specification, allowing you to point to specific elements in the XML document. It is used in you template as follows:

&xml.xpath

The path is a series of one or more element accessors separated by a period. You can use a name of an element or a number of an element as possible values for an element accessor. For a simple example, we will show you how to get the value of the element "color":

&xml.order.fruit.apples.color;

If used in a template, you would get the value:

red

As mentioned earlier, you can also use a number as an element accessor. This number indicates the position of the current element accessor in the parent element. From our example, note that "color" is the second element accessor in "apple" (the first is "cost"). You could call the same value by doing the following:

&xml.order.fruit.apples.2; produces: red

Along the same lines, all of the following are valid:

&xml.order.fruit.apples.2; produces: red
&xml.order.1.apples.2; produces: red
&xml.order.1.1.2; produces: red

Please note that the first element accessor must be specified by its name.

You may also search for attributes of an element accessor. In our example, "currency" is an attribute of the element accessor "cost", with a value of "US". Attributes are specified by a "@" sign following the corresponding element accessor. In our example:

&xml.order.fruit.apples.cost@currency;
would show up as
US

The same rules apply for access attributes of element accessors: You may specify the path based on the name of the element accessor or its number.


Tips & Tricks

Getting Help

When using Email Templates, you can access help files by clicking Help on the Outlook or Exchange menu bar. For updates and more information on Email Templates, visit our website at www.emailtemplates.com .

HTML Formatting

Email Templates supports HTML formatting. This formatting will remain intact when templates are processed and mail messages are created as a result.

Recipient Information

When creating a template for a message you send to the same person over and over, you can make the message header information (To, Cc, and Subject) a part of the template. Once in the template, this information never has to be retyped into each mail message you send.

Template Elements Menu

A list of the standard template elements may be found in the Email Templates menu, under Insert Template Element. You may select them from the list, and they will be automatically inserted into the template you are creating or editing. You may always type them directly into the text of the message too.

Single Step Send

Pressing Control + any template button from the Outlook or Exchange toolbar will create the message as usual, but will also automatically send the message. If you have created a template which requires no intervention, this feature is a good way to save keystrokes and speed delivery of messages.

Multiple Messages

Normally, if a template is applied to a message, it is the message currently open or selected. You may also select several messages to which a template may be applied. To select more than one message, hold down the Control key and highlight the desired items with your mouse. Then activate a template from the menu as usual.

Personalized Mailing List

If you have a folder with messages (or contacts) from several people you want to send an announcement to, you may send the announcement through a template by selecting all the messages in the folder and applying the template. The advantage over sending the message to a standard mailing list is the ability to personalize the messages through smart template elements like &sender_first_name; etc.


Email Templates™ Options

A number of options for Email Templates™ are provided in the Tools / Options menu. The possible options include the following:

  • The name of the Private Templates folder: here you may select the folder where your normal templates are stored. This is normally named ‘Templates’.
  • The name of your Public Templates folder: here you may select the folder where public shared templates are stored.
  • The prefix for reply messages and forward messages: this is static text that is included in front of every message subject when Reply and/or Forward Templates are activated.
  • Whether to create HTML messages from HTML templates. This option may be turned off for standard SMTP mail.
  • Whether to mark messages as Read after applying templates.
  • Whether to close message windows after applying templates.
  • Whether to display an error when unknown template elements are encountered, or silently replace the element with ‘’, empty text.